Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 233418

Summary: x11-drivers/nvidia-drivers 173.14.12 released
Product: Gentoo Linux Reporter: Wyatt Epp <wyatt.epp>
Component: New packagesAssignee: Tony Vroon <chainsaw>
Status: VERIFIED FIXED    
Severity: enhancement CC: dliana, kevin.bowling, polynomial-c
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: http://www.nvnews.net/vbulletin/showthread.php?t=117036
Whiteboard:
Package list:
Runtime testing required: ---

Description Wyatt Epp 2008-07-30 20:03:58 UTC
"...bugfix release to address issues in 173.14.09."

Reproducible: Always




Tried simply digesting a copy of the 173.14.09 ebuild in my local overlay, but it fetched both the FreeBSD and x86 binaries and not the x86-64 one that I need.  Not sure what happened there, but it might warrant a look.
Comment 1 Paul Bredbury 2008-07-31 00:06:25 UTC
"it fetched both"

Of course, how else can it calculate the md5sum for a file - for the "digest".
Comment 2 Wyatt Epp 2008-07-31 02:24:30 UTC
(In reply to comment #1)
> "it fetched both"
> 
> Of course, how else can it calculate the md5sum for a file - for the "digest".
> 
I was more worried that it only pulled in only two of three files, actually and thought I should mention it just in case.  Just tried it again to verify and it seems to have gotten them all this time....

I can't really say what happened before; just calling it as I see it.
Comment 3 Tony Vroon gentoo-dev 2008-07-31 13:04:26 UTC
Thank you for your contribution to Gentoo Linux :)
If you file a version bump request for the nvidia-driver in the future, can I request that you copy the upstream ChangeLog from the forum thread into the bug report please?

Feel free to file a bump request, even if it seems it is more complicated then just renaming the ebuild. We will never commit an ebuild that does not build and then blame it on you.

Please wait about two hours and then sync your portage tree, and you will see yourself in the ChangeLog:
+*nvidia-drivers-173.14.12 (31 Jul 2008)
+
+  31 Jul 2008; <chainsaw@gentoo.org> nvidia-drivers-173.14.09.ebuild,
+  +nvidia-drivers-173.14.12.ebuild:
+  Version bump as requested by Wyatt Epp <epp.8@osu.edu> in bug #233418.
+  Ensure SYSVIPC is enabled as per cucu ionut <cuciferus@gmail.com> in bug
+  #213157. Patch to respect custom CFLAGS by boris64 <genzilla@boris64.net>
+  closes bug #230273. Paravirt exports now usable, delete unnecessary check
+  as per Patrizio Bassi <hetfield666@gmail.com> in bug #232883.
Comment 4 Kevin Bowling 2008-10-14 02:45:46 UTC
Hi,

Seems kernel 2.6.27 has breakage with these legacy drivers.

A patch seems available here: http://www.nvnews.net/vbulletin/showthread.php?t=120884

Regards!
Comment 5 Michał Mirosław 2008-10-29 14:29:17 UTC
> A patch seems available here:
> http://www.nvnews.net/vbulletin/showthread.php?t=120884

This patch looks not entirely correct to me. I'm using this one:
http://rere.qmqm.pl/patches/nvidia-drivers/NVIDIA_kernel-173.14.12-linux2_6_27.patch

Diff for ebuild (bugzilla seems broken today):
http://rere.qmqm.pl/patches/nvidia-drivers/nv-173.14.12.ebuild.diff
Comment 6 Michał Mirosław 2008-10-29 14:48:06 UTC
> > A patch seems available here:
> > http://www.nvnews.net/vbulletin/showthread.php?t=120884
> This patch looks not entirely correct to me. I'm using this one:
> http://rere.qmqm.pl/patches/nvidia-drivers/NVIDIA_kernel-173.14.12-linux2_6_27.patch

Please ignore this. I just noticed it misses get_pid()/put_pid() in nv.c, and those symbols are GPL-only anyway.
Comment 7 Tony Vroon gentoo-dev 2008-10-29 14:59:47 UTC
Please refrain from recycling resolved bugs. This was a version bump request that has been dealt with. If you want a patch added to an ebuild, you need to file a new bug. (And it should go to the new maintainer of nvidia-drivers)